# ACE_SSL_Asynch_Read_Stream_Result Class Reference

List of all members.

## Protected Member Functions

| ACE_SSL_Asynch_Read_Stream_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, ACE_HANDLE event, int priority, int signal_number)

## Friends

class | ACE_SSL_Asynch_Stream
| Factory class will have special permissions.

## Constructor & Destructor Documentation

ACE_SSL_Asynch_Read_Stream_Result::ACE_SSL_Asynch_Read_Stream_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

## Friends And Related Function Documentation

friend class ACE_SSL_Asynch_Stream`[friend]`

| Factory class will have special permissions.

The documentation for this class was generated from the following file:

- SSL_Asynch_Stream.cpp